Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Ir abajo

Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  Mistic0 el Sáb 18 Feb 2017 - 1:17

Pues eso.., que las últimas actualizaciones...puden hacer que mpd no lea dsf a 352 khz, y mpd modificado para leer SACD, 0.
Al menos en mi Archlinux.

Todavía no he localizado la librería o version que lo rompe todo. Si lo averiguais, comentadlo.

Mistic0

Cantidad de envíos : 165
Localización : España
Fecha de inscripción : 06/01/2013

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  Mistic0 el Sáb 18 Feb 2017 - 1:20

cool2

Mistic0

Cantidad de envíos : 165
Localización : España
Fecha de inscripción : 06/01/2013

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  alans el Sáb 18 Feb 2017 - 2:56

Hace bastantes años instalé Arch Linux pero fue  un reto que me propuse más bien como aprendizaje ya que para aquellos que no lo sepan este tipo de SO hay que instalarlo desde la línea de comandos.
Lo intenté con Geento (más complejo aún) pero no tuve paciencia.Ademas el echo de tener que compilar todo me echó para atrás.Para ello se necesita una buena conexión a Internet y un buen procesador a la vez que se machaca el disco duro mucho.
La misma lógica que propone Geento ya lo hace Mac X OS que no es otra que tener un So optimizado expresamente para un hadware.

Lo que no me gusta de este tipo de SO es que requiere de cierto mantenimiento y cualquier tipo de problema hay que buscarse la vida hasta cierto punto.
Otro,que al ser sistemas Rolling release las actualizaciones te desinstalan ciertos paquetes que dejan de tener cierto soporte y a veces esto puede jugar malas pasadas.
Y por último no me gustan los sistemas que todos los días sacan actualizaciones ya que eso es sinónimo de cierta inestabilidad.Dicho de otra forma, actualizaciones prematuras.
Por eso siempre me ha gustado Debian porque aunque pueda parecer un poco más obsoleto es más estable.Nunca actualiza nada que no sea severamente testeado.

Este tipo de distribuciones están orientadas para gente con cierto conocimiento en sistemas Unix/Linux y el hecho de sacar tantas actualizaciones tiene como objetivo servir de conejillo de indias.Dicho de otra forma,son SO experimentales que van a servir para adaptarse en un futuro a distribuciones tipo servidores o profesionales tales como las que usan grandes empresas que no pueden permitirse el más mínimo fallo o por ejemplo la NASA.
Un fallo en un servidor del gobierno ,por ejemplo,podría ser catastrófico.
Por supuesto nada de estos anteriores SO será adaptado a estas posteriores distribuciones hasta que sea severamente testeado y supervisado.Ello supone también un tiempo en funcionamiento para ver posibles fallos en el transcurso.

Total....Que este tipo de sistemas para uso doméstico sin tener ciertos conocimientos no lo consideraría del todo oportuno.No vamos a perder la vida pero......
Por ejemplo este problemita que se te ha presentado quizás sea corregido con una futura actualización,pero mientras tanto,toca un poco las narices.
avatar
alans

Cantidad de envíos : 2726
Localización : Las Palmas
Fecha de inscripción : 19/11/2014

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  pablopi el Sáb 18 Feb 2017 - 8:48

En el sentido de las actualizaciones "peligrosas" yo siempre recomiendo distribuciones más conservadoras como Linux Mint. Muy usable y estable. En la última versión, la 18, incluso es posible escoger algo así como un perfil de riesgo para gestionar las actualizaciones:



Yo la llevo usando (la v17) desde hace cosa de 2 años, después de peregrinar por otras distros y, por supuesto, todas las versiones de Windows y unas cuantas de OS X, con excelentes resultados. Para mi no hay vuelta atrás a algo que no sea Linux, francamente.
avatar
pablopi

Cantidad de envíos : 5536
Localización : Castellón
Fecha de inscripción : 21/06/2010

http://www.pablofelip.tk

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  Mistic0 el Sáb 18 Feb 2017 - 19:59

Localizado el problema...es la actualización de mpd de la versión 0.19 a la 0.20.
Ha sido desinstalar mpd 0.20 y volver a la versión 0.19 (concrétamente mpd-0.19.21-1) y solucionado.

No actualizar mpd a la versión 0.20. (y bloquear la opción de actualización de éste, por ahora)
Con cualquier distribución: Archlinux, Mint, Ubuntu...,la que sea.


Mistic0

Cantidad de envíos : 165
Localización : España
Fecha de inscripción : 06/01/2013

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  alans el Sáb 18 Feb 2017 - 22:40

Menos mal que solucionaste el problema rápido.A mí se me han dado casos de googlear hasta la muerte. wallbash
Yo soy partidario de que sí algo funciona bien hay que dejarlo como está.Otra cosa es que ciertas distribuciones por su carácter (algunas están orientadas a la ofimática etc) no tienen acceso a determinados programas que necesitamos pero si no es así evitaría ciertas actualizaciones prematuras.

Por ejemplo Ubuntu (también su deribada Linux Mint) te dan la opción de añadir repositorios de terceros.Yo los evitaría a menos que no tuviera más remedio como por ejemplo acceder a un programa que la propia distribución de forma nativa no te permite.Y aun así intentaría conseguir otro programa que cumpliera el mismo objetivo sin tener que recurrir a estos repositorios ajenos a la comunidad.Para añadir estos repositorios hay que insertar una llave pública y el sistema te advierte de que no se hace responsable.

Igualmente la propia distribución tiene tres variables.Stable,testing,undstable.La versión testing,aunque no lo parezca,es todo lo contrario a testeado.Son repositorios experimentales.
Ubuntu está basada en Debian.La versión testing de Debian es prácticamente la vesión estable de Ubuntu.

El problema que te ha pasado podría no ser el mismo que se dé en otras distribuciones de Linux ya que muchas no usan los mismos repositorios de actualizaciones.Arch Linux como distribución experimental (puede acceder a cualquier programa) hay que configurarlo hasta cierto punto.En la instalación del SO hay que añadir los repositorios base y después se añaden otros.Una forma "precavida" es instalar los repos básicos y luego instalar todos los programas necesarios.Cuando no tengamos acceso a un programa concreto ahí es cuando añadimos cierto repositorio o instalamos de forma manual ese programa concreto (más seguro).
También como decía Pablopi,hay ciertos menús gráficos que te permiten acceder al panel de control de actualizaciones.De esa forma se evitan ciertos errores que luego hay que corregir navegando por ArchWiki para recopilar documentación.

La mejor ditribución que he usado durante años con 0 problemas ha sido Debian en su versión 6 (pena que ya no tiene soporte).Ahora estoy con la 8 aunque el escritorio gnome2 (ya no existe de forma nativa como las versiones anteriores) he tenido que instalarlo mediante un parche o "fork" de gnome2 llamado "mate".No es lo mismo ya que funciona bajo gnome3 pero se le parece y funciona más o menos bien (en esta distribución).Para mí es el más funcional y liviano dentro de los entornos de escritorio "poco minimalistas"

Uno de los problemas que pueden tener ciertas distribuciones es el entorno de escritorio que se use.KDE un fracaso rotundo ,Cinnamon (el que viene en Mint) me ha dado algún problemilla de cuelgue aunque no tanto.Gnome3 y Unity más de lo mismo y son poco funcionales.Sin embargo con gnome2 de maravilla.

Perdón por el grandísimo off topic Sad


avatar
alans

Cantidad de envíos : 2726
Localización : Las Palmas
Fecha de inscripción : 19/11/2014

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  Mistic0 el Dom 19 Feb 2017 - 0:16

En este caso ha sido puro ensayo y error hasta dar con la solución. He desactualizado todas las depencias de mpd y continuaba sin funcionar bien todo.
Desactualizar mpd de la versión 0.20 a la 0.19 y como la seda. Lo que más me ha llamado más la atención es que ni en los foros de Arch, ni en los de mpd, refieren
problemas con esta versión.

Pase bastantes años con Debian y me gustaba bastante. El cambio a Gnome 3, al igual que a tí, no me gusto nada, y Mate no me convencia.
Me pase primero a Antergos (derivada de Arch), luego a instalación de Arch mediante script y por fín, cuando me di cuenta de que me instalaban bastantes programas, paquetes,
servicios, etc...que no necesitaba para nada, me lie la manta e instalé Arch, mediante la guia de la wiki, a base de comandos, si...

Es bastante pesado instalarlo, pero no díficil...y una vez pulido...es muy flexible, lo puedes dejar ajustado para que haga lo que quieres.
Eso si, nunca paro de aprender....principiante para siempre.

Si me veo muy apurado con que el sistema no funciona con alguna actualización; si tengo tiempo y ganas intento localizar el problema...,
en caso contrario, desactualización general de la paquetería hasta la fecha en que funcionaba todo bien, y a esperar unos dias a que lo solucionen (son muy rápidos).
Archlinux por otra parte tiene una de las mejores documentaciones sobre Linux en su wiki. Si teneis un problema o quereis saber como funciona, por ejemplo, lo referente a sonido (Alsa, Pulse,etc)
aunque utiliceis otra distribución, os puede resultar de mucha utilidad.

Bueno creo que se nota cual es mi sistema operativo y distribución favorita: Windows 10*.














*Saint

Mistic0

Cantidad de envíos : 165
Localización : España
Fecha de inscripción : 06/01/2013

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  alans el Dom 19 Feb 2017 - 1:03

Es que como las actualizaciones van tan rápido a veces hay que esperar un tiempo a que salgan las soluciones a ciertos problemas.
Una cosa sí es cierta.Como distribución hecha a medida no hay otra ya que no viene "hecha" como la mayoría..Se "construye" de principio a fin.Se instala el sistema base,el entorno gráfico,servicios indispensables,ajustes básicos.Con lo que se tiene una distribución minimalista sin nada innecesario y todo indispensable que a gusto del consumidor puede crecer hasta tener un sistema muy complejo.
Sólo se instala lo que la persona quiere.
Ahora,es una distribución que de alguna forma te obliga a aprender y si a uno le gusta Linux... Very Happy ya que después de la instalación o en el transcurso de su vida puede haber algún error que hay que solventar.

Aún recuerdo cuando al segundo intento conseguí instalarla (después de unas horas de golpe de teclado).Fue aparecer el entorno gráfico y se me iluminaron los ojos.Es como cuando uno construye algo,lo pone afuncionar y.....funciona!!!!! Jump
Como una obra propia.Y después las ansias por instalar cosas y acabar de configurar el sistema.Por supuesto después de instalarlo uno nota una fluidez asombrosa.No hay servicios innecesarios ni antivirus ni nada de eso.

Lo único que hay que tener cuidado es a la hora de añadir ciertos repos innecesarios ya que es un sistema  muy poderoso con muchas posibilidades y a veces tenemos cierta tentación a instalar cosas que no necesitamos por aquello de la novedad.Al instalar un programa que no viene en los repositorios base hay que añadir un repositorio completo (para un solo programa) y ese repositorio añade muchas librerías que hacen que los demás programas se actualicen a otras versiones que tal vez no sean tan estables.Incluso puede haber conflictos entre dos repositorios que contienen el mismo programa.
Recuerdo que en Centos (versión libre de la que un día también lo fue para pasar a ser una distro de pago para empresas...Red Hat Linux) había un orden de prioridades de repositorios para evitar conflictos.Centos junto a Debian y pocas más son distribuciones estables como rocas aptas para servidores.Sin embargo sino se configura bien este orden de repositorios puede volverse inestable.
En Arch si mal no recuerdo había una forma de instalar un programa sin añadir repositorio alguno.

Después de mi separación tenía dos opciones....Vivir una "segunda juventud" o meterme en el mundo de Linux Innocent
Tuve mi época.Ahora uso el ordenador para cuatro cosas nada más.
avatar
alans

Cantidad de envíos : 2726
Localización : Las Palmas
Fecha de inscripción : 19/11/2014

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  Jaime2010 el Dom 19 Feb 2017 - 3:11

No estoy puesto en MPD aunque en su momento di bastante juego con ese Software.

Lo que recuerdo es que Arch era la (única?) distro linux que tenia mpd con el fork de maxim anisiutkin que habilitaba el uso de iso sacd integrada en Arch. Lo que pasa es que la rama principal de MPD nunca ha hecho el "merge" oficial y lo mas probable es que no lo haga tampoco y así hay que andar con cuidado al momento de actualizar nuevas versiones, ya que es probable se "rompan" por estos cambios cruzados.
avatar
Jaime2010

Cantidad de envíos : 4109
Localización : Santiago de Chile
Fecha de inscripción : 31/05/2010

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  pablopi el Dom 19 Feb 2017 - 12:38

Mistic0 escribió: Localizado el problema...es la actualización de mpd de la versión 0.19 a la 0.20.

Estupendo, Mistic0.

Como comenta Jaime, parece que la cosa se repetirá cada vez que actualices MPD.

¿Te has planteado usar Foobar para reproducir esas ISO? Funciona muy bien en Linux corriendo sobre Wine/POL y correctamente configurado es bitperfect a través de ALSA, tanto para PCM como para DSD. De hecho es el reproductor que utilizo normalmente.
avatar
pablopi

Cantidad de envíos : 5536
Localización : Castellón
Fecha de inscripción : 21/06/2010

http://www.pablofelip.tk

Volver arriba Ir abajo

Re: Ojo, actualización de Linux puede romper compatibiliadd MPD con Dsf, SACD.

Mensaje  Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.